Index: branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90
===================================================================
--- branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 4622)
+++ branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 5038)
@@ -55,5 +55,5 @@
       CALL ctl_opn( numnatc_ref, 'namelist_cfc_ref'   ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       CALL ctl_opn( numnatc_cfg, 'namelist_cfc_cfg'   ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
-      CALL ctl_opn( numonc     , 'output.namelist.cfc', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
+      IF(lwm) CALL ctl_opn( numonc, 'output.namelist.cfc', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
 
       REWIND( numnatc_ref )              ! Namelist namcfcdate in reference namelist : CFC parameters
@@ -64,5 +64,5 @@
       READ  ( numnatc_cfg, namcfcdate, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcfcdate in configuration namelist', lwp )
-      WRITE ( numonc, namcfcdate )
+      IF(lwm) WRITE ( numonc, namcfcdate )
 
       IF(lwp) THEN                  ! control print
@@ -88,5 +88,5 @@
          READ  ( numnatc_cfg, namcfcdia, IOSTAT = ios, ERR = 904 )
 904      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcfcdia in configuration namelist', lwp )
-         WRITE ( numonc, namcfcdia )
+         IF(lwm) WRITE ( numonc, namcfcdia )
 
          DO jl = 1, jp_cfc_2d
@@ -110,5 +110,5 @@
       ENDIF
 
-   CALL FLUSH ( numonc )     ! flush output namelist CFC
+   IF(lwm) CALL FLUSH ( numonc )     ! flush output namelist CFC
 
    END SUBROUTINE trc_nam_cfc
Index: branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90
===================================================================
--- branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 4622)
+++ branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 5038)
@@ -18,6 +18,6 @@
    USE par_trc       ! TOP parameters
    USE trc           ! TOP variables
-   USE trdmod_oce
-   USE trdmod_trc
+   USE trd_oce
+   USE trdtrc
    USE iom           ! I/O library
 
@@ -185,21 +185,19 @@
             CALL iom_rstput( kt, nitrst, numrtw, 'qint_'//ctrcnm(jn), qint_cfc(:,:,jn) )
          END DO
-      ENDIF
-      !                                              
-      IF( ln_diatrc ) THEN
-        !
-        IF( lk_iomput ) THEN
-           CALL iom_put( "qtrCFC11"  , qtr_cfc (:,:,1) )
-           CALL iom_put( "qintCFC11" , qint_cfc(:,:,1) )
-        ELSE
-           trc2d(:,:,jp_cfc0_2d    ) = qtr_cfc (:,:,1)
-           trc2d(:,:,jp_cfc0_2d + 1) = qint_cfc(:,:,1)
-        END IF
-        !
+      ENDIF                                            
+      !
+      IF( lk_iomput ) THEN
+         CALL iom_put( "qtrCFC11"  , qtr_cfc (:,:,1) )
+         CALL iom_put( "qintCFC11" , qint_cfc(:,:,1) )
+      ELSE
+         IF( ln_diatrc ) THEN
+            trc2d(:,:,jp_cfc0_2d    ) = qtr_cfc (:,:,1)
+            trc2d(:,:,jp_cfc0_2d + 1) = qint_cfc(:,:,1)
+         END IF
       END IF
- 
+      !
       IF( l_trdtrc ) THEN
           DO jn = jp_cfc0, jp_cfc1
-            CALL trd_mod_trc( tra(:,:,:,jn), jn, jptra_trd_sms, kt )   ! save trends
+            CALL trd_trc( tra(:,:,:,jn), jn, jptra_sms, kt )   ! save trends
           END DO
       END IF
Index: branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/CFC/trcwri_cfc.F90
===================================================================
--- branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/CFC/trcwri_cfc.F90	(revision 4622)
+++ branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/CFC/trcwri_cfc.F90	(revision 5038)
@@ -37,9 +37,5 @@
       DO jn = jp_cfc0, jp_cfc1
          cltra = TRIM( ctrcnm(jn) )                  ! short title for tracer
-         IF( lk_vvl ) THEN
-            CALL iom_put( cltra, trn(:,:,:,jn) * fse3t_n(:,:,:) )
-         ELSE
-            CALL iom_put( cltra, trn(:,:,:,jn) )
-         ENDIF
+         CALL iom_put( cltra, trn(:,:,:,jn) )
       END DO
       !
